--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Returns <tt>true</tt> if the authentication method required a password, but none was available. <tt>false</tt> otherwise.
full_name: PGconn#connection_needs_password
is_singleton: false
name: connection_needs_password
params: |
  conn.connection_needs_password() -> Boolean

visibility: public
